summaryrefslogtreecommitdiffstats
path: root/src/install.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-04-16 22:43:50 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-04-16 22:43:50 (EDT)
commit04d55483432e26ea5f386db3791e748409676e23 (patch)
tree91c55923fff907dd7fc2eb7fa6e8dbefa32a5684 /src/install.sh
parenteeb4d9b69d3cedba1e7ff965301a5056822b5fcf (diff)
install_find_pkgs(): Fix fopen() call
Diffstat (limited to 'src/install.sh')
-rw-r--r--src/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/install.sh b/src/install.sh
index 9777259..e5cdcf2 100644
--- a/src/install.sh
+++ b/src/install.sh
@@ -150,7 +150,7 @@ install_find_pkgs()
printf '%s\n' "${root_key}" \
>"${root}/etc/opkg/keys/$(_usign_fingerprint \
"${root_key}").root"
- if ! fopen "${root}/etc/opkg/keys/temp.cert"; then
+ if ! fopen "${root}/etc/opkg/keys/temp.cert" 'w'; then
return 1
fi
cert_fd=${FD}